import { jsx } from "react/jsx-runtime";
import { TokenMST as TokenMST$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMST = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MST", "data-name": "TokenMST", ...props, children: /* @__PURE__ */ jsx(TokenMST$1, { variant }) });
  }
);
TokenMST.displayName = "TokenMST";
Object.assign(TokenMST, { isGdsIcon: true });
export {
  TokenMST
};
